import { JupyterLab } from '@jupyterlab/application';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
export type AppProps = {
    hostId?: string;
    extensions: Array<JupyterLab.IPluginModule>;
    mimeExtensions: Array<IRenderMime.IExtensionModule>;
    extensionPromises: Array<Promise<JupyterLab.IPluginModule>>;
    mimeExtensionsPromises: Array<Promise<IRenderMime.IExtensionModule>>;
};
export declare const App: {
    (props: AppProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<AppProps>;
};
export default App;
